summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author melikamp2018-02-23 23:46:54 +0100
committer David Spencer2018-02-23 23:46:54 +0100
commitf37cd15a77eb47353b42cd800fd278390266cbb1 (patch)
tree258d620e6b09303f00f6979bd9a94e35f5def456 /desktop
parent92ab1092e482da027193ded625952b964ca92cf7 (diff)
downloadslackbuilds-f37cd15a77eb47353b42cd800fd278390266cbb1.tar.gz
desktop/compton: Updated for version 316eac0.
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'desktop')
-rw-r--r--desktop/compton/compton.SlackBuild21
-rw-r--r--desktop/compton/compton.info6
-rw-r--r--desktop/compton/doinst.sh9
3 files changed, 24 insertions, 12 deletions
diff --git a/desktop/compton/compton.SlackBuild b/desktop/compton/compton.SlackBuild
index ebacf61b71..a72d5cb66e 100644
--- a/desktop/compton/compton.SlackBuild
+++ b/desktop/compton/compton.SlackBuild
@@ -22,13 +22,13 @@
# not, see <http://www.gnu.org/licenses/>.
PRGNAM="compton"
-VERSION=${VERSION:-0.1_beta2}
+VERSION=${VERSION:-316eac0613bf342ff91cc645a6c3c80e6b9083fb}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) ARCH=i486 ;;
+ i?86) ARCH=i586 ;;
arm*) ARCH=arm ;;
*) ARCH=$( uname -m ) ;;
esac
@@ -39,8 +39,8 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
@@ -58,9 +58,9 @@ set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
-rm -rf $PRGNAM-git-v${VERSION}-2013-10-21
-tar xvf $CWD/${PRGNAM}-git-v${VERSION}-2013-10-21.tar.xz
-cd ${PRGNAM}-git-v${VERSION}-2013-10-21
+rm -rf $PRGNAM-${VERSION}
+tar xvf $CWD/$PRGNAM-${VERSION}.tar.gz || exit 1
+cd ${PRGNAM}-${VERSION}
chown -R root:root .
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
@@ -68,7 +68,7 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-make
+make || exit 1
make install DESTDIR=$PKG
find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
@@ -79,11 +79,14 @@ find $PKG/usr/man -type f -exec gzip -9 {} \;
for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a desc.txt dbus-examples compton.sample.conf LICENSE $PKG/usr/doc/$PRGNAM-$VERSION
+cp -ar \
+ desc.txt dbus-examples compton.sample.conf LICENSE \
+ $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/compton/compton.info b/desktop/compton/compton.info
index a8dec0be15..dd49ce713e 100644
--- a/desktop/compton/compton.info
+++ b/desktop/compton/compton.info
@@ -1,8 +1,8 @@
PRGNAM="compton"
-VERSION="0.1_beta2"
+VERSION="316eac0613bf342ff91cc645a6c3c80e6b9083fb"
HOMEPAGE="https://github.com/chjj/compton"
-DOWNLOAD="https://github.com/chjj/compton/releases/download/v0.1_beta2/compton-git-v0.1_beta2-2013-10-21.tar.xz"
-MD5SUM="15db3ccec35a4f04cac2f62c44e46457"
+DOWNLOAD="https://github.com/chjj/compton/archive/316eac0/compton-316eac0613bf342ff91cc645a6c3c80e6b9083fb.tar.gz"
+MD5SUM="eb3fddcd691af8239b3ab56bf89e038c"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES="libconfig"
diff --git a/desktop/compton/doinst.sh b/desktop/compton/doinst.sh
new file mode 100644
index 0000000000..65c7e2eeb9
--- /dev/null
+++ b/desktop/compton/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi